1. 03 May, 2021 2 commits
  2. 21 Apr, 2021 1 commit
  3. 25 Dec, 2020 1 commit
    • Xavier Guimard's avatar
      Import Debian changes 4.1.2-8 · 11ef5288
      Xavier Guimard authored
      node-terser (4.1.2-8) unstable; urgency=medium
      .
        * Team upload
        * Fix test for node-commander ≥ 6 (Closes: #977963)
      .
      node-terser (4.1.2-7) unstable; urgency=medium
      .
        [ Debian Janitor ]
        * set upstream metadata fields:
          Bug-Database Bug-Submit Repository Repository-Browse.
      .
        [ Xavier Guimard ]
        * add support for node-commander 4
          closes: #963425
      .
      node-terser (4.1.2-6) unstable; urgency=medium
      .
        * update upstream homepage and source URLs
        * mark libjs-terser Multi-Arch: foreign
      .
      node-terser (4.1.2-5) unstable; urgency=medium
      .
        * use debhelper compatibility level 12 (not 9);
          build-depend on debhelper-compat (not debhelper)
        * declare compliance with Debian Policy 4.5.0
      .
      node-terser (4.1.2-4) unstable; urgency=medium
      .
        * Declare compliance with Debian Policy 4.4.1.
        * Install nodejs code under /usr/share (not /usr/lib).
        * Update watch file:
          + Simplify regular expressions.
          + Rewrite usage comment.
        * Mark autopkgtests as superficial.
        * Tighten build-dependency on rollup
          to versions supporting option --no-esModule.
          Drop patch 2002.
          Closes: Bug#931577.
        * Improve autopkgtest:
          + Use node-domino to cover recent need for node-source-map.
      .
      node-terser (4.1.2-3) unstable; urgency=medium
      .
        * Really fix autopkgtest for libjs-terser:
          Have autopkgtest depend on node-source-map (not libjs-source-map),
          and stop have libjs-terser recommend libjs-source-map
          (should be built into web browsers).
          Thanks (again) to LocusOfBorg on irc.
      .
      node-terser (4.1.2-2) unstable; urgency=medium
      .
        * Fix credit proper nick in changelog.
        * Fix have libjs-terser recommend libjs-source-map,
          and autopkgtest depend on and load it.
          Thanks (again) to LocusOfBorg on irc.
      .
      node-terser (4.1.2-1) unstable; urgency=medium
      .
        [ upstream ]
        * New release(s).
      .
        * Fix and improve autpkgtest:
          + Have 2nd test depend on nodejs.
            Thanks to LocusOfBorg on irc.
          + Use perl prove for shell command.
      .
      node-terser (4.1.0-2) unstable; urgency=medium
      .
        * Fix tighten dependencies between binary packages.
          Closes: Bug#931791. Thanks to Pirate Praveen.
        * Declare compliance with Debian Policy 4.4.0.
      .
      node-terser (4.1.0-1) unstable; urgency=medium
      .
        [ upstream ]
        * New release(s).
      .
        [ Jonas Smedegaard ]
        * Unfuzz and improve patch 2001.
        * Exclude APIs required only for tests from main bundle.
          See upstream issue https://github.com/terser-js/terser/pull/288
          Add patch 2002 to ignore __esModule in testsuite.
          See bug#931577.
        * Update lintian overrides.
      .
      node-terser (3.16.1-2) unstable; urgency=medium
      .
        * Fix ship bundle only in libjs-terser (not also uglifyjs.terser),
          and link bundler into node-terser.
          Closes: Bug#930618. Thanks to Pirate Praveen.
        * Extend autopkgtest to cover all binary packages.
      .
      node-terser (3.16.1-1) experimental; urgency=medium
      .
        [ upstream ]
        * New release(s).
      .
        [ Jonas Smedegaard ]
        * Update copyright info: Fix source URLs.
        * Update patch 2001.
        * Update build routines. Build-depend on rollup.
      .
      node-terser (3.14.1-2) unstable; urgency=medium
      .
        * Fix have uglifyjs.terser depend on node-terser (not node-uglify-js).
          Closes: Bug#929815. Thanks to Pirate Praveen.
        * Update git-buildpackage config:
          + Switch DEP-14 vendor-namespaced git branch.
        * Fix support DEB_BUILD_OPTIONS=nocheck.
      .
      node-terser (3.14.1-1) unstable; urgency=low
      .
        * Initial release.
          Closes: Bug#919279.
      11ef5288
  4. 21 Apr, 2021 1 commit